#
# spec file for package rubygem-rbrainz
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-rbrainz
Version:        0.5.2
Release:        2.8
%define mod_name rbrainz
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://rbrainz.rubyforge.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Ruby library for the MusicBrainz XML web service
License:        GPLv2+ or Ruby
Group:          Development/Languages/Ruby

%description
RBrainz is a Ruby client library to access the MusicBrainz XML
web service. RBrainz supports the MusicBrainz XML Metadata Version 1.2,
including support for labels and extended release events.
RBrainz follows the design of python-musicbrainz2, the reference
implementation for a MusicBrainz client library. Developers used to
python-musicbrainz2 should already know most of RBrainz' interface.
However, RBrainz differs from python-musicbrainz2 wherever it makes
the library more Ruby like or easier to use.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES LICENSE README" \
  -f

%gem_packages

%changelog
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.5.2
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 0.5.1
* Mon Nov 24 2008 mrueckert@suse.de
- update to 0.4.2
* Tue Aug 28 2007 crrodriguez@suse.de
- first build
